# @stackblitz/cli

StackBlitz CLI

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/@stackblitz/cli.svg)](https://npmjs.org/package/@stackblitz/cli)
[![CircleCI](https://circleci.com/gh/stackblitz/cli/tree/master.svg?style=shield)](https://circleci.com/gh/stackblitz/cli/tree/master)
[![Codecov](https://codecov.io/gh/stackblitz/cli/branch/master/graph/badge.svg)](https://codecov.io/gh/stackblitz/cli)
[![Downloads/week](https://img.shields.io/npm/dw/@stackblitz/cli.svg)](https://npmjs.org/package/@stackblitz/cli)
[![License](https://img.shields.io/npm/l/@stackblitz/cli.svg)](https://github.com/stackblitz/cli/blob/master/package.json)

<!-- toc -->
* [@stackblitz/cli](#stackblitzcli)
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->

# Usage

<!-- usage -->
```sh-session
$ npm install -g @stackblitz/cli
$ sb COMMAND
running command...
$ sb (-v|--version|version)
@stackblitz/cli/0.3.2 darwin-x64 node-v8.15.1
$ sb --help [COMMAND]
USAGE
  $ sb COMMAND
...
```
<!-- usagestop -->

# Commands

<!-- commands -->
* [`sb clean [TARGET]`](#sb-clean-target)
* [`sb config`](#sb-config)
* [`sb generate ACTION [GENERATOR]`](#sb-generate-action-generator)
* [`sb help [COMMAND]`](#sb-help-command)
* [`sb image [ACTION] [IMAGE]`](#sb-image-action-image)
* [`sb run WORKSPACE`](#sb-run-workspace)
* [`sb task ACTION [TASK]`](#sb-task-action-task)

## `sb clean [TARGET]`

Shortcuts to clean up resources

```
USAGE
  $ sb clean [TARGET]

OPTIONS
  -f, --force

ALIASES
  $ sb c
```

_See code: [src/commands/clean.ts](https://github.com/stackblitz/cli/blob/v0.3.2/src/commands/clean.ts)_

## `sb config`

Show the config in the current workspace and the global config

```
USAGE
  $ sb config
```

_See code: [src/commands/config.ts](https://github.com/stackblitz/cli/blob/v0.3.2/src/commands/config.ts)_

## `sb generate ACTION [GENERATOR]`

Run generators defined in the StackBlitz config and from GitHub Gists

```
USAGE
  $ sb generate ACTION [GENERATOR]

ARGUMENTS
  ACTION     (gist|list|run) the action
  GENERATOR  the generator you want run

OPTIONS
  -f, --force          force creation, overwriting existing files
  -h, --help           show CLI help
  -o, --output=output  location to the output dir

ALIASES
  $ sb g
```

_See code: [src/commands/generate.ts](https://github.com/stackblitz/cli/blob/v0.3.2/src/commands/generate.ts)_

## `sb help [COMMAND]`

display help for sb

```
USAGE
  $ sb help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v2.1.6/src/commands/help.ts)_

## `sb image [ACTION] [IMAGE]`

Run operations on the images defined in StackBlitz config

```
USAGE
  $ sb image [ACTION] [IMAGE]

ARGUMENTS
  ACTION  (build|list|pull|push|run) Operation to run
  IMAGE   Image to run operation on

OPTIONS
  -h, --help                 show CLI help
  -w, --workspace=workspace  The project working directory
```

_See code: [src/commands/image.ts](https://github.com/stackblitz/cli/blob/v0.3.2/src/commands/image.ts)_

## `sb run WORKSPACE`

Run project in a workspace, optionally provisioning it with a template or GitHub project.

```
USAGE
  $ sb run WORKSPACE

ARGUMENTS
  WORKSPACE  [default: /opt/stackblitz/cli] The project working directory

OPTIONS
  -c, --cmd=cmd            Command to execute
  -h, --help               show CLI help
  -i, --skipInstall        Install dependencies
  -k, --check=check        [default: ./package.json] Location to file to check if project exists or needs provisioning
  -s, --skipStart          Only provision the project but do not start it
  -t, --template=template  The file or url used to provision the workspace
  -w, --cwd=cwd            The current working directory where commands are executed
```

_See code: [src/commands/run.ts](https://github.com/stackblitz/cli/blob/v0.3.2/src/commands/run.ts)_

## `sb task ACTION [TASK]`

Run tasks defined in the StackBlitz config

```
USAGE
  $ sb task ACTION [TASK]

ARGUMENTS
  ACTION  (list|run) the action
  TASK    the task you want run

OPTIONS
  -h, --help  show CLI help
```

_See code: [src/commands/task.ts](https://github.com/stackblitz/cli/blob/v0.3.2/src/commands/task.ts)_
<!-- commandsstop -->
