"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const config_1 = require("../config");
const utils_1 = require("../utils");
class Config extends command_1.Command {
    async run() {
        const config = await config_1.getConfig();
        this.log(utils_1.stringify({
            version: this.config.userAgent,
            configDir: this.config.configDir,
            project: {
                stackblitz: config,
            },
        }));
    }
}
Config.description = 'Show the config in the current workspace and the global config';
exports.default = Config;
