"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const fs_1 = require("fs");
const path_1 = require("path");
function exec(cmd, workspace = process.cwd()) {
    return child_process_1.execSync(cmd, { cwd: workspace, stdio: [0, 1, 2] });
}
exports.exec = exec;
function dockerCommand(action, params = []) {
    return `docker ${action} ${params.join(' ')}`;
}
exports.dockerCommand = dockerCommand;
exports.projectCheck = (workspace, file) => fs_1.existsSync(path_1.join(workspace, file));
exports.projectPackage = (workspace) => JSON.parse(fs_1.readFileSync(path_1.join(workspace, 'package.json'), 'utf-8'));
exports.workspaceExists = (workspace) => fs_1.existsSync(workspace);
exports.workspaceEmpty = (workspace) => fs_1.readdirSync(workspace).length === 0;
exports.workspaceCanInstall = (workspace) => exports.projectCheck(workspace, 'package.json');
exports.stringify = (obj) => JSON.stringify(obj, null, 2);
